Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
API Reference
cURL
curl --request PATCH \ --url https://api.voicebot.studio/api/v1/calls/{call_id} \ --header 'Content-Type: application/json' \ --header 'X-API-Key: <api-key>' \ --data ' { "name": "<string>" } '
import requests url = "https://api.voicebot.studio/api/v1/calls/{call_id}" payload = { "name": "<string>" } headers = { "X-API-Key": "<api-key>", "Content-Type": "application/json" } response = requests.patch(url, json=payload, headers=headers) print(response.text)
const options = { method: 'PATCH', headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'}, body: JSON.stringify({name: '<string>'}) }; fetch('https://api.voicebot.studio/api/v1/calls/{call_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://api.voicebot.studio/api/v1/calls/{call_id}" payload := strings.NewReader("{\n \"name\": \"<string>\"\n}") req, _ := http.NewRequest("PATCH", url, payload) req.Header.Add("X-API-Key", "<api-key>") req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
{ "id": "<string>", "type": "<string>", "messages": [ { "secondsFromStart": 123, "role": "<string>", "message": "<string>", "time": 123, "endTime": 123, "source": "<string>", "duration": 123 } ], "phoneCallProvider": "<string>", "phoneCallTransport": "<string>", "status": "<string>", "endedReason": "<string>", "orgId": "<string>", "createdAt": "2023-11-07T05:31:56Z", "updatedAt": "2023-11-07T05:31:56Z", "startedAt": "2023-11-07T05:31:56Z", "endedAt": "2023-11-07T05:31:56Z", "analysis": { "summary": "<string>", "successEvaluation": "<string>" }, "phoneCallProviderId": "<string>", "assistantId": "<string>", "phoneNumberId": "<string>", "customer": {}, "transcript": "<string>", "recordingUrl": "<string>", "summary": "<string>", "stereoRecordingUrl": "<string>", "transport": {}, "organizationId": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ] }
Update an existing call.
Successful Response
Show child attributes